Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#62992 - [hledger-api] Missing haskell-warp dependency (which can't be added manually)

Attached to Project: Community Packages
Opened by Caleb Maclennan (caleb) - Monday, 24 June 2019, 11:02 GMT
Last edited by Eli Schwartz (eschwartz) - Tuesday, 09 July 2019, 21:21 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To No-one
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

The api server will not run without haskell-warp.

This is more serious than your run-of-the-mill missing dependency because nobody can even just install this dependency manually and move on with life. Because of the way Haskell packages have to be recompiled to match their exact dependency versions this dependency must be added and the api package rebuilt to work at all.
This task depends upon

Closed by  Eli Schwartz (eschwartz)
Tuesday, 09 July 2019, 21:21 GMT
Reason for closing:  Not a bug
Additional comments about closing:  OP request: Invalid, already listed as a dependency, just a release bump problem not a bug.
Comment by Caleb Maclennan (caleb) - Monday, 24 June 2019, 13:12 GMT
I see the dependency exists, it is just out of date. I'll flag out-of-date instead.

Loading...